Package org.opensaml.xmlsec.context

# Class SecurityParametersContext

java.lang.Object
org.opensaml.messaging.context.BaseContext
org.opensaml.xmlsec.context.SecurityParametersContext

All Implemented Interfaces:
  `Iterable<BaseContext>`

public final class SecurityParametersContext extends BaseContext
A context implementation for storing parameter instances for XML signature signing and validation, and XML encryption and decryption.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.opensaml.messaging.context.BaseContext

`BaseContext.ContextSetNoRemoveIteratorDecorator, BaseContext.DeprecatedContextClassNameLookAside`

## Field Summary

Fields
Modifier and Type
Field
Description
`private DecryptionParameters`
`decryptionParameters`
Decryption parameters.
`private EncryptionParameters`
`encryptionParameters`
Encryption parameters.
`private SignatureSigningParameters`
`signatureSigningParameters`
Signature signing parameters.
`private SignatureValidationParameters`
`signatureValidationParameters`
Signature validation parameters.

## Constructor Summary

Constructors
Constructor
Description
`SecurityParametersContext()`

## Method Summary

Modifier and Type
Method
Description
`DecryptionParameters`
`getDecryptionParameters()`
Get the parameters to use for XML decryption operations.
`EncryptionParameters`
`getEncryptionParameters()`
Get the parameters to use for XML encryption operations.
`SignatureSigningParameters`
`getSignatureSigningParameters()`
Get the parameters to use for XML signature signing operations.
`SignatureValidationParameters`
`getSignatureValidationParameters()`
Get the parameters to use for XML signature validation operations.
`SecurityParametersContext`
`setDecryptionParameters(DecryptionParameters params)`
Set the parameters to use for XML decryption operations.
`SecurityParametersContext`
`setEncryptionParameters(EncryptionParameters params)`
Set the parameters to use for XML encryption operations.
`SecurityParametersContext`
`setSignatureSigningParameters(SignatureSigningParameters params)`
Set the parameters to use for XML signature signing operations.
`SecurityParametersContext`
`setSignatureValidationParameters(SignatureValidationParameters params)`
Set the parameters to use for XML signature validation operations.

### Methods inherited from class org.opensaml.messaging.context.BaseContext

`addSubcontext, addSubcontext, clearSubcontexts, containsSubcontext, createSubcontext, ensureSubcontext, ensureSubcontext, getParent, getSubcontext, getSubcontext, getSubcontext, getSubcontext, iterator, removeFromParent, removeSubcontext, removeSubcontext, setParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Field Details

### signatureSigningParameters

@Nullable private SignatureSigningParameters signatureSigningParameters
Signature signing parameters.

### signatureValidationParameters

@Nullable private SignatureValidationParameters signatureValidationParameters
Signature validation parameters.

### encryptionParameters

@Nullable private EncryptionParameters encryptionParameters
Encryption parameters.

### decryptionParameters

@Nullable private DecryptionParameters decryptionParameters
Decryption parameters.

## Constructor Details

### SecurityParametersContext

public SecurityParametersContext()

## Method Details

### getSignatureSigningParameters

@Nullable public SignatureSigningParameters getSignatureSigningParameters()
Get the parameters to use for XML signature signing operations.

Returns:
  the parameters

### setSignatureSigningParameters

@Nonnull public SecurityParametersContext setSignatureSigningParameters(@Nullable SignatureSigningParameters params)
Set the parameters to use for XML signature signing operations.

Parameters:
  `params` - the parameters
Returns:
  this context

### getSignatureValidationParameters

@Nullable public SignatureValidationParameters getSignatureValidationParameters()
Get the parameters to use for XML signature validation operations.

Returns:
  the parameters

### setSignatureValidationParameters

@Nonnull public SecurityParametersContext setSignatureValidationParameters(@Nullable SignatureValidationParameters params)
Set the parameters to use for XML signature validation operations.

Parameters:
  `params` - The signatureValidationParameters to set
Returns:
  this context

### getEncryptionParameters

@Nullable public EncryptionParameters getEncryptionParameters()
Get the parameters to use for XML encryption operations.

Returns:
  the parameters

### setEncryptionParameters

@Nonnull public SecurityParametersContext setEncryptionParameters(@Nullable EncryptionParameters params)
Set the parameters to use for XML encryption operations.

Parameters:
  `params` - the parameters
Returns:
  this context

### getDecryptionParameters

@Nullable public DecryptionParameters getDecryptionParameters()
Get the parameters to use for XML decryption operations.

Returns:
  the parameters

### setDecryptionParameters

@Nonnull public SecurityParametersContext setDecryptionParameters(@Nullable DecryptionParameters params)
Set the parameters to use for XML decryption operations.

Parameters:
  `params` - the parameters
Returns:
  this context